# DisableWinTracking
# Developed by Dragon_Knight, 2016.

:local WTDomainNormal {"a-0001.a-msedge.net";"a-0002.a-msedge.net";"a-0003.a-msedge.net";"a-0004.a-msedge.net";"a-0005.a-msedge.net";"a-0006.a-msedge.net";"a-0007.a-msedge.net";"a-0008.a-msedge.net";"a-0009.a-msedge.net";"a-msedge.net";"a.ads1.msn.com";"a.ads2.msads.net";"a.ads2.msn.com";"a.rad.msn.com";"ac3.msn.com";"ad.doubleclick.net";"adnexus.net";"adnxs.com";"ads.msn.com";"ads1.msads.net";"ads1.msn.com";"aidps.atdmt.com";"aka-cdn-ns.adtech.de";"az361816.vo.msecnd.net";"az512334.vo.msecnd.net";"b.ads1.msn.com";"b.ads2.msads.net";"b.rad.msn.com";"bs.serving-sys.com";"c.atdmt.com";"c.msn.com";"cdn.atdmt.com";"cds26.ams9.msecn.net";"choice.microsoft.com";"choice.microsoft.com.nsatc.net";"compatexchange.cloudapp.net";"corp.sts.microsoft.com";"corpext.msitadfs.glbdns2.microsoft.com";"cs1.wpc.v0cdn.net";"db3aqu.atdmt.com";"df.telemetry.microsoft.com";"diagnostics.support.microsoft.com";"ec.atdmt.com";"feedback.microsoft-hohm.com";"feedback.search.microsoft.com";"feedback.windows.com";"flex.msn.com";"g.msn.com";"h1.msn.com";"i1.services.social.microsoft.com";"i1.services.social.microsoft.com.nsatc.net";"lb1.www.ms.akadns.net";"live.rads.msn.com";"m.adnxs.com";"msedge.net";"msftncsi.com";"msnbot-65-55-108-23.search.msn.com";"msntest.serving-sys.com";"oca.telemetry.microsoft.com";"oca.telemetry.microsoft.com.nsatc.net";"pre.footprintpredict.com";"preview.msn.com";"rad.live.com";"rad.msn.com";"redir.metaservices.microsoft.com";"reports.wes.df.telemetry.microsoft.com";"schemas.microsoft.akadns.net";"secure.adnxs.com";"secure.flashtalking.com";"services.wes.df.telemetry.microsoft.com";"settings-sandbox.data.microsoft.com";"settings-win.data.microsoft.com";"sls.update.microsoft.com.akadns.net";"sqm.df.telemetry.microsoft.com";"sqm.telemetry.microsoft.com";"sqm.telemetry.microsoft.com.nsatc.net";"ssw.live.com";"static.2mdn.net";"statsfe1.ws.microsoft.com";"statsfe2.ws.microsoft.com";"telecommand.telemetry.microsoft.com";"telecommand.telemetry.microsoft.com.nsatc.net";"telemetry.appex.bing.net";"telemetry.microsoft.com";"telemetry.urs.microsoft.com";"v10.vortex-win.data.microsoft.com";"vortex-bn2.metron.live.com.nsatc.net";"vortex-cy2.metron.live.com.nsatc.net";"vortex-sandbox.data.microsoft.com";"vortex-win.data.metron.live.com.nsatc.net";"vortex-win.data.microsoft.com";"vortex.data.glbdns2.microsoft.com";"vortex.data.microsoft.com";"watson.live.com";"web.vortex.data.microsoft.com";"www.msftncsi.com"}
:local WTDomainExtra {"fe2.update.microsoft.com.akadns.net";"s0.2mdn.net";"statsfe2.update.microsoft.com.akadns.net";"survey.watson.microsoft.com";"view.atdmt.com";"watson.microsoft.com";"watson.ppe.telemetry.microsoft.com";"watson.telemetry.microsoft.com";"watson.telemetry.microsoft.com.nsatc.net";"wes.df.telemetry.microsoft.com";"ui.skype.com";"pricelist.skype.com";"apps.skype.com";"m.hotmail.com";"s.gateway.messenger.live.com"}
:local WTIP {"2.22.61.43";"2.22.61.66";"65.39.117.230";"65.55.108.23";"23.218.212.69";"134.170.30.202";"137.116.81.24";"157.56.106.189";"204.79.197.200";"65.52.108.33";"64.4.54.254"}

:put (" ")
:put ("DisableWinTracking - A tool use some of the known methods of disabling tracking in Windows")
:put ("Created by Dragon_Knight, https://vk.com/id5982674")
:put ("Source: https://github.com/10se1ucgo/DisableWinTracking")
:put (" Select options:")
:put ("  1 - Install Normal (Disable Telemetry)")
:put ("  2 - Install Extra (Disable Skype, Dr. Watson, Hotmail and/or Error Reporting)")
:put ("  3 - Install Normal + Extra")
:put ("  0 - Uninstall")
:put ("  Any Key - Exit")
:put (" ")

:local key ([:terminal inkey] - 48)

if ($key = 1 || $key = 3) do={
	:put "[WinTracking] Installing normal records, please wait..."
	/ip dns static
	:foreach i in=$WTDomainNormal do={
		:local status
		:do {
			add address=127.0.0.1 comment=WinTracking name=$i
			:set status "OK"
		} on-error={
			:set status "ERROR"
		}
		:put (" Adding: '$i': $status")
	}
	:put "[WinTracking] Flushing DNS cache, please wait..."
	/ip dns cache flush
	
	:put "[WinTracking] Installing IP records, please wait..."
	/ip firewall address-list
	:foreach i in=$WTIP do={
		:local status
		:do {
			add address=$i list=WinTracking comment=WinTracking
			:set status "OK"
		} on-error={
			:set status "ERROR"
		}
		:put (" Adding: '$i': $status")
	}
	/ip firewall filter add place-before=0 action=drop chain=forward dst-address-list=WinTracking comment=WinTracking
}

if ($key = 2 || $key = 3) do={
	:put "[WinTracking] Installing extra records, please wait..."
	/ip dns static
	:foreach i in=$WTDomainExtra do={
		:local status
		:do {
			add address=127.0.0.1 comment=WinTracking name=$i
			:set status "OK"
		} on-error={
			:set status "ERROR"
		}
		:put (" Adding: '$i': $status")
	}
	:put "[WinTracking] Flushing DNS cache, please wait..."
	/ip dns cache flush
}

if ($key = 0) do={
	:put "[WinTracking] Uninstalling DNS records, please wait..."
	/ip dns static
	:foreach i in=[find comment="WinTracking"] do={ remove $i }
	
	:put "[WinTracking] Uninstalling IP records, please wait..."
	/ip firewall address-list
	:foreach i in=[find comment="WinTracking"] do={ remove $i }
	/ip firewall filter
	:foreach i in=[find comment="WinTracking"] do={ remove $i }
	
	:put "[WinTracking] Flushing DNS cache, please wait..."
	/ip dns cache flush
}

:put "[WinTracking] Complete!"
